Subject: No config option for `git diff --stat` to always show the full file path and name (without .../ abbreviations)

From: Дилян Палаузов<[email-masked]>
Date: Sun, 19 Oct 2025 21:46:10 +0300

Hello,

After `git diff --stat` determines the available width, it uses correctly all available space for the file paths and names:

```
$ git show --stat --oneline 
0fb93104ba (HEAD -> java223/main) SourceGenerator: avoid delayed actions after the bundle is deactivated
 .../main/java/org/openhab/automation/java223/internal/Java223ScriptEngineFactory.java    |  1 +
 .../java/org/openhab/automation/java223/internal/codegeneration/SourceGenerator.java     | 16 +++++++++++-----
 2 files changed, 12 insertions(+), 5 deletions(-)
```
https://git-scm.com/docs/git-diff#Documentation/git-diff.txt---statwidthname-widthcount describes that after --stat can be entered up to three numbers, two of which can be set by a config option.  The same options apply also for show --stat : https://git-scm.com/docs/git-show#Documentation/git-show.txt---statwidthname-widthcount .

I set in /etc/gitconfig:
[diff]
        statGraphWidth = 200
        statNameWidth = 200

which is effectively the same as calling:
```
$ git show --stat-graph-width=200 --stat-graph-width=200 --oneline
0fb93104ba (HEAD -> java223/main) SourceGenerator: avoid delayed actions after the bundle is deactivated
 .../main/java/org/openhab/automation/java223/internal/Java223ScriptEngineFactory.java    |  1 +
 .../java/org/openhab/automation/java223/internal/codegeneration/SourceGenerator.java     | 16 +++++++++++-----
 2 files changed, 12 insertions(+), 5 deletions(-)
```
There is no difference.  diff.statGraphWidth / diff.statNameWidth / --stat-graph-width= / --stat-graph-width=200 set some number of columns within the available space.  But I want to change the size of the available space to defaut to 200 (or to infinity).

The reason is that I can then copy the file path (e.g. with the mouse) from the git --stat output and open it immediately with less or emacs.

* Please either alter the option `diff.statGraphWidth` to enlarge the available space (broader than the terminal width), or add an option to `git config` to set the available space for `--stat`.  This option should eventually allow always to print the full path and filenames.

Greetings
  Дилян
---
git 2.51.0